Index: docs/users_guide/Makefile.in
===================================================================
RCS file: /cvs/hugs98/docs/users_guide/Makefile.in,v
retrieving revision 1.15
diff -u -r1.15 Makefile.in
--- docs/users_guide/Makefile.in	13 Jul 2005 17:47:51 -0000	1.15
+++ docs/users_guide/Makefile.in	31 Jul 2005 04:42:12 -0000
@@ -29,8 +29,14 @@
 # could be $(ROOT)/$(ROOT).html instead.
 HTML		= $(ROOT)/license.html
 
-%.sgml: %.xml
-	LC_ALL=C sed -f xml2sgml.sed $*.xml >$@
+# MSYS sed cannot handle carriage returns in sed scripts, so we generate
+# one that is guarenteed to not have any.
+
+xml2sgml-no-cr.sed : xml2sgml.sed
+	cat xml2sgml.sed | tr -d '\r' > xml2sgml-no-cr.sed
+
+%.sgml: %.xml xml2sgml-no-cr.sed
+	LC_ALL=C sed -f xml2sgml-no-cr.sed $*.xml >$@
 
 all: $(SGMLDocWays)
 
@@ -48,6 +54,7 @@
 clean:
 	$(RM) $(PARTS)
 	$(RM) *~
+	$(RM) xml2sgml-no-cr.sed
 
 distclean: clean
 	$(RM) $(ROOT).dvi $(ROOT).ps $(ROOT).pdf
